#include "infile.h"
#include <sstream>
#include <iostream>

using namespace std;

///Fájl megnyitása
///Sikertelen megnyitáskor hibát dobunk
InFile::InFile(const string& fname)
{
    f.open(fname.c_str());
    if(f.fail()){
        cerr<<fname<<" nem nyithato meg!\n";
        throw FILEERROR;
    }
}

///Read művelet első megvalósítása
void InFile::read(Status &sx, kaktusz &dx)
{
    std::string sor;
    getline(f, sor);
    if (!f.fail() && sor != "")
    {
        sx = norm;
        std::stringstream inp(sor);
        inp >> dx.nev;
        inp >> dx.haza;
        inp >> dx.szin;
        inp >> dx.meret;
    }
    else{
        sx = abnorm;
    }
}

///Read művelet második megvalósítása
/*bool InFile::read(Status &sx, kaktusz &dx)
{
    std::string sor;
    getline(f, sor);
    if (!f.fail() && sor != "")
    {
        sx = norm;
        std::stringstream inp(sor);
        inp >> dx.nev;
        inp >> dx.haza;
        inp >> dx.szin;
        inp >> dx.meret;
    }
    else{
        sx = abnorm;
    }

    return sx==norm;
}
*/
